# chirpstack-api

ChirpStack gRPC API message and service wrappers for Python.

## Install

```sh
pip install chirpstack-api
```

## Usage

All messages, services, constants, etc. are auto-generated from the ChirpStack protobuf definitions. The result is that
this package structure matches that of the protobuf definitions.

The protobuf definitions can be found here: https://github.com/brocaar/chirpstack-api/tree/master/protobuf

## Links

* [`chirpstack-api` Python package page](https://pypi.org/project/chirpstack-api/)
* [ChirpStack documentation](https://www.chirpstack.io/)
* [ChirpStack Application Server API examples](https://www.chirpstack.io/application-server/api/python-examples/)
